import request from '@/utils/request'

// 查询人员嘉奖记录列表
export function listAwardrecord(query) {
  return request({
    url: '/plant/awardrecord/list',
    method: 'get',
    params: query
  })
}

// 查询人员嘉奖记录详细
export function getAwardrecord(id) {
  return request({
    url: '/plant/awardrecord/' + id,
    method: 'get'
  })
}

// 新增人员嘉奖记录
export function addAwardrecord(data) {
  return request({
    url: '/plant/awardrecord',
    method: 'post',
    data: data
  })
}

// 修改人员嘉奖记录
export function updateAwardrecord(data) {
  return request({
    url: '/plant/awardrecord',
    method: 'put',
    data: data
  })
}

// 删除人员嘉奖记录
export function delAwardrecord(id) {
  return request({
    url: '/plant/awardrecord/' + id,
    method: 'delete'
  })
}

// 导出人员嘉奖记录
export function exportAwardrecord(query) {
  return request({
    url: '/plant/awardrecord/export',
    method: 'get',
    params: query
  })
}
